RelatedQueryParameters class final

Parameters to perform a related query on an ArcGISFeatureTable.

When querying related features, all participating tables must be included in the same ArcGISMap or ArcGISScene, as either feature layers or non-spatial tables. The query that uses these parameters will load these related tables.

RelatedQueryParameters lets you specify:

  • Details about the relationship to be queried.
  • A where clause used to filter features from the related table.
  • How to sort the results.
  • Whether to return geometry within the results.
Implemented types

Constructors

RelatedQueryParameters.withRelationshipInfo(RelationshipInfo relationshipInfo)
Creates related query parameters with the specified relationship information.
factory

Properties

hashCode → int
The hash code for this object.
no setterinherited
maxFeatures ↔ int
The maximum number of features the query should return.
getter/setter pair
orderByFields → List<OrderBy>
The collection of order by objects that indicates how to sort the results.
no setter
relationshipInfo ↔ RelationshipInfo
The relationship information used to define the tables to use for this query.
getter/setter pair
resultOffset ↔ int
The starting offset of results to fetch. This is useful for paging through results.
getter/setter pair
returnGeometry ↔ bool
True if geometry values are returned in the results, otherwise false.
getter/setter pair
runtimeType → Type
A representation of the runtime type of the object.
no setterinherited
whereClause ↔ String
The where clause to apply to the destination table.
getter/setter pair

Methods

noSuchMethod(Invocation invocation) → dynamic
Invoked when a nonexistent method or property is accessed.
inherited
toString() → String
A string representation of this object.
inherited

Operators

operator ==(Object other) → bool
The equality operator.
inherited